function AdfEdgeAgent(version, domWindow) {
  this.Init(version, domWindow)
}
AdfObject.createSubclass(AdfEdgeAgent, AdfAgent);
AdfEdgeAgent.prototype.Init = function(version, domWindow) {
  AdfEdgeAgent.superclass.Init.call(this, AdfAgent.EDGE_PLATFORM, AdfAgent.guessOS(), version, domWindow)
};
AdfEdgeAgent.prototype.getBrowserViewportScrollTop = function() {
  var domDoc = this.getDomDocument();
  return domDoc.body.scrollTop
};
AdfEdgeAgent.prototype.getBrowserViewportScrollLeft = function() {
  var domDoc = this.getDomDocument();
  return domDoc.body.scrollLeft
};
AdfEdgeAgent.__getAgentVersion = function(userAgent) {
  return AdfAgent.__parseFloatVersion(userAgent, /Edge\/(\d+([.]\d+)*)/)
};
AdfEdgeAgent.__getSupported = function(userAgent, version) {
  return true
};
AdfEdgeAgent.__getSpecificAgentClassName = function(userAgent, version) {
  return"AdfEdgeAgent"
};
